## org.eclipse.datatools.connectivity.oda.template.ui.plugin
Class Activator

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.ui.plugin.AbstractUIPlugin
              org.eclipse.datatools.connectivity.oda.template.ui.plugin.Activator

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class Activator

extends org.eclipse.ui.plugin.AbstractUIPlugin

[Non-API] The activator class controls the plug-in life cycle. Intended for use within this project only.

Field Summary

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`Activator()` The constructor

Method Summary
`static Activator` `getDefault()` Returns the shared instance
`java.net.URL` `getInstallURL()` Returns the installation URL of this plugin.
`static java.lang.String` `getPluginId()`
`void` `start(org.osgi.framework.BundleContext context)`
`void` `stop(org.osgi.framework.BundleContext context)`

Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin
`getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, shutdown, startup`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Activator

    public Activator()

  The constructor

Method Detail

### start

    public void start(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `start` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
  Throws:
    `java.lang.Exception`

### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws java.lang.Exception

  Specified by:
    `stop` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `stop` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
  Throws:
    `java.lang.Exception`

### getDefault

    public static Activator getDefault()

  Returns the shared instance

### getInstallURL

    public java.net.URL getInstallURL()

  Returns the installation URL of this plugin.

### getPluginId

    public static java.lang.String getPluginId()